package kr.co.kihyun.beans.entity;

import java.util.Date;

import javax.jdo.annotations.*;

@PersistenceCapable(identityType = IdentityType.APPLICATION)
public class TotReportHistory extends LongEntity {
	/**
	 * 
	 */
	private static final long serialVersionUID = 7936546354560198543L;

	@Persistent
	private TotReport totReport;

	@Persistent
	private String des;

	@Persistent(customValueStrategy = "timestamp", nullValue = NullValue.EXCEPTION)
	private Date writeDate;

	@Persistent
	private String memo;

	public TotReportHistory() {
	}

	public void setTotReport(TotReport totReport) {
		this.totReport = totReport;
	}

	public TotReport getTotReport() {
		return totReport;
	}

	public String getDes() {
		return this.des;
	}

	public void setDes(String des) {
		this.des = des;
	}

	public Date getWriteDate() {
		return this.writeDate;
	}

	public void setWriteDate(Date writeDate) {
		this.writeDate = writeDate;
	}

	public String getMemo() {
		return this.memo;
	}

	public void setMemo(String memo) {
		this.memo = memo;
	}

	public TotReportHistory(TotReport report, String memo) {
		this.setTotReport(report);
		this.setMemo(memo);
	}
}
